package com.ruoyi.logistics.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 地址簿管理对象 biz_address_book
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public class BizAddressBook extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 地址薄id */
    private Long addressId;

    /** 公司名称 */
    private String companyName;

    /** 联系人姓名 */
    @Excel(name = "联系人姓名")
    private String contactName;

    /** 联系人电话 */
    @Excel(name = "联系人电话")
    private String contactPhone;

    /** 省 */
    @Excel(name = "省")
    private String provinceName;

    /** 市 */
    @Excel(name = "市")
    private String cityName;

    /** 区/县 */
    @Excel(name = "区/县")
    private String countyName;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailedAddress;

    /** 是否默认 0非默认1默认 */
    private String defaultFlag;

    /** 部门ID */
//    @Excel(name = "部门ID")
    private Long deptId;

    /** 用户ID */
//    @Excel(name = "用户ID")
    private Long userId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setAddressId(Long addressId) 
    {
        this.addressId = addressId;
    }

    public Long getAddressId() 
    {
        return addressId;
    }

    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }

    public void setContactName(String contactName) 
    {
        this.contactName = contactName;
    }

    public String getContactName() 
    {
        return contactName;
    }

    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }

    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }

    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }

    public void setCountyName(String countyName) 
    {
        this.countyName = countyName;
    }

    public String getCountyName() 
    {
        return countyName;
    }

    public void setDetailedAddress(String detailedAddress) 
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress() 
    {
        return detailedAddress;
    }

    public void setDefaultFlag(String defaultFlag) 
    {
        this.defaultFlag = defaultFlag;
    }

    public String getDefaultFlag() 
    {
        return defaultFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("addressId", getAddressId())
            .append("companyName", getCompanyName())
            .append("contactName", getContactName())
            .append("contactPhone", getContactPhone())
            .append("provinceName", getProvinceName())
            .append("cityName", getCityName())
            .append("countyName", getCountyName())
            .append("detailedAddress", getDetailedAddress())
            .append("defaultFlag", getDefaultFlag())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
